Bug 1676728

Summary: RHEL77: Run iotests as part of build process
Product: Red Hat Enterprise Linux 7 Reporter: Karen Mezick <kmezick>
Component: qemu-kvm-rhevAssignee: Karen Mezick <kmezick>
Status: CLOSED ERRATA QA Contact: CongLi <coli>
Severity: high Docs Contact:
Priority: unspecified    
Version: 7.7CC: areis, chayang, coli, ddepaula, jen, jsnow, juzhang, lmiksik, ngu, timao, virt-maint, ymankad, zhenyzha
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-kvm-rhev-2.12.0-24.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-22 09:20:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Karen Mezick 2019-02-13 03:42:45 UTC
Description of problem:

RHEL77 (qemu-kvm-rhev)

We want to run iotests as part of the build process in order to catch potential issues earlier in the development cycle.

Add raw, qcow2, nbd and luks iotests to run during the build process.

The following iotests are stable at this time on RHEL77 (qemu-kvm-rhev) 
and will be added to the build process.  

All of these iotests are currently passing consistently.

This list does not include any iotests that take greater than 25 seconds 
to execute in the interest of not adding a significant amount of time to
the build process.

The following code will be added to qemu-kvm.spec.template. The numbers represent the iotest name:

      ./check -v -raw 001 002 003 004 008 009 010 011 012 021 025 032 033
                      045 048 052 063 077 101 104 106 113 120 132 140 143
                      145 147 152 157 159 160 162 170 184 194 205 208 218
                      222 226 227 232

      ./check -v -qcow2 001 002 003 004 005 007 008 009 010 011 012 017
                        018 019 020 021 022 024 025 027 029 031 032 033 
                        034 035 036 037 038 039 042 043 046 047 048 049 
                        050 052 053 054 056 062 063 065 066 068 069 072 
                        073 074 080 082 085 086 087 089 090 091 095 096
                        097 098 102 103 104 105 107 108 110 111 114 117
                        120 126 127 130 132 133 134 137 140 141 142 143 
                        144 145 147 150 152 155 156 157 158 159 162 165 
                        169 170 174 176 177 179 182 184 187 188 189 190
                        191 194 195 196 198 202 203 204 205 206 208 209
                        214 216 217 218 222 223 226 227 232

      ./check -v -luks 001 002 003 004 008 009 010 011 012 021 032 033
                       052 140 143 145 157 162 174 184 208 218 227

      ./check -v -nbd 001 002 003 004 008 009 011 021 032 045 077 104 119
                      123 132 143 145 147 152 162 163 184 194 205 208 218 
                      222


Additional info:

These are the iotests that were removed from the above list due to failure or long execution time:
    

    ./check -v raw
         Failures: 005 081 086 148 150 171 175 221
         Execution Times > 25 sec:  178
    
    ./check -v qcow2
         Failures: 028 030 041 051 055 058 067 118 129 138 139 172 178
                   181 185 186 200 201 219 229 234
         Execution Times > 25 sec: 013 014 015 023 026 040 044 057 060 
                                   061 079 112 115 121 122 124 125 154 
                                   163

    ./check -v luks
         Failures: 005 149 226 232
         Execution Times > 25 sec: 025 048 205 210

    ./check -v nbd
         Failures: 005 010 033 055 083 093 094 136 148 181
         Execution Times > 25 sec: None

Comment 4 Miroslav Rezanina 2019-02-26 11:25:04 UTC
Fix included in qemu-kvm-rhev-2.12.0-24.el7

Comment 6 CongLi 2019-03-06 09:13:34 UTC
Verified this bug on qemu-kvm-rhev-2.12.0-24.el7.x86_64.

~/build/BUILD/qemu-2.12.0/tests/qemu-iotests ~/build/BUILD/qemu-2.12.0
+ ./check -v -raw 001 002 003 004 008 009 010 011 012 021 025 032 033 045 048 052 063 077 101 104 106 113 120 132 140 143 145 147 152 157 159 160 162 170 184 194 205 208 218 222 226 227 232
QEMU          -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../x86_64-softmmu/qemu-system-x86_64" -nodefaults -machine accel=qtest
QEMU_IMG      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-img" 
QEMU_IO       -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-io"  --cache writeback -f raw
QEMU_NBD      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-nbd" 
IMGFMT        -- raw
IMGPROTO      -- file
PLATFORM      -- Linux/x86_64 x86-038 3.10.0-862.6.3.el7.x86_64
TEST_DIR      -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/scratch
SOCKET_SCM_HELPER -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/socket_scm_helper
001        
002        
003        
004        
008        
009        
010        
011        
012        
021        
025        
032        
033        
045        
048        
052        
063        
077        
101        
104        
106        
113        
120        
132        
140        
143        
145        
147        
152        
157        
159        
160        
162        
170        
184        
194        
205        
208        
218        
222        
226        
227        
232        
Passed all 43 tests
+ ./check -v -qcow2 001 002 003 004 005 007 008 009 010 011 012 017 018 019 020 021 022 024 025 027 029 031 032 033 034 035 036 037 038 039 042 043 046 047 048 049 050 052 053 054 056 062 063 065 066 068 069 072 073 074 080 082 085 086 087 089 090 091 095 096 097 098 102 103 104 105 107 108 110 111 114 117 120 126 127 130 132 133 134 137 140 141 142 143 144 145 147 150 152 156 157 158 159 162 165 170 174 177 179 184 187 188 189 190 191 194 195 196 198 202 203 204 205 206 208 209 214 216 217 218 222 223 226 227 232
QEMU          -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../x86_64-softmmu/qemu-system-x86_64" -nodefaults -machine accel=qtest
QEMU_IMG      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-img" 
QEMU_IO       -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-io"  --cache writeback -f qcow2
QEMU_NBD      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-nbd" 
IMGFMT        -- qcow2 (compat=1.1)
IMGPROTO      -- file
PLATFORM      -- Linux/x86_64 x86-038 3.10.0-862.6.3.el7.x86_64
TEST_DIR      -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/scratch
SOCKET_SCM_HELPER -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/socket_scm_helper
001        
002        
003        
004        
005        
007        
008        
009        
010        
011        
012        
017        
018        
019        
020        
021        
022        
024        
025        
027        
029        
031        
032        
033        
034        
035        
036        
037        
038        
039        
042        
043        
046        
047        
048        
049        
050        
052        
053        
054        
056        
062        
063        
065        
066        
068        
069        
072        
073        
074        
080        
082        
085        
086        
087        
089        
090        
091        
095        
096        
097        
098        
102        
103        
104        
105        
107        
108        
110        
111        
114        
117        
120        
126        
127        
130        
132        
133        
134        
137        
140        
141        
142        
143        
144        
145        
147        
150        
152        
156        
157        
158        
159        
162        
165        
170        
174        
177        
179        
184        
187        
188        
189        
190        
191        
194        
195        
196        
198        
202        
203        
204        
205        
206        
208        
209        
214        
216        
217        
218        
222        
223        
226        
227        
232        
Passed all 125 tests
+ ./check -v -luks 001 002 003 004 009 010 011 012 021 032 033 052 140 143 145 157 162 174 184 208 218 227
QEMU          -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../x86_64-softmmu/qemu-system-x86_64" -nodefaults -machine accel=qtest
QEMU_IMG      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-img" 
QEMU_IO       -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-io"  --cache writeback
QEMU_NBD      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-nbd" 
IMGFMT        -- luks (iter-time=10)
IMGPROTO      -- file
PLATFORM      -- Linux/x86_64 x86-038 3.10.0-862.6.3.el7.x86_64
TEST_DIR      -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/scratch
SOCKET_SCM_HELPER -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/socket_scm_helper
001        
002        
003        
004        
009        
010        
011        
012        
021        
032        
033        
052        
140        
143        
145        
157        
162        
174        
184        
208        
218        
227        
Passed all 22 tests
+ ./check -v -nbd 001 002 003 004 008 009 011 021 032 045 077 119 123 132 143 145 147 152 162 184 194 205 208 218 222
QEMU          -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../x86_64-softmmu/qemu-system-x86_64" -nodefaults -machine accel=qtest
QEMU_IMG      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-img" 
QEMU_IO       -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-io"  --cache writeback -f raw
QEMU_NBD      -- "/builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/../../qemu-nbd" 
IMGFMT        -- raw
IMGPROTO      -- nbd
PLATFORM      -- Linux/x86_64 x86-038 3.10.0-862.6.3.el7.x86_64
TEST_DIR      -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/scratch
SOCKET_SCM_HELPER -- /builddir/build/BUILD/qemu-2.12.0/tests/qemu-iotests/socket_scm_helper
001        
002        
003        
004        
008        
009        
011        
021        
032        
045        
077        
119        
123        
132        
143        
145        
147        
152        
162        
184        
194        
205        
208        
218        
222        
Passed all 25 tests
~/build/BUILD/qemu-2.12.0
+ popd
+ exit 0

Comment 9 errata-xmlrpc 2019-08-22 09:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553